<%= form_with(model: plan, local: true) do |form| %>
  <% if plan.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(plan.errors.count, "error") %> prohibited this plan from being saved:</h2>

      <ul>
      <% plan.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= form.label :name %>
    <%= form.text_field :name, id: :plan_name %>
  </div>

  <div class="field">
    <%= form.label :amount %>
    <%= form.text_field :amount, id: :plan_amount %>
  </div>

  <div class="field">
    <%= form.label :description %>
    <%= form.text_area :description, id: :plan_description %>
  </div>

  <div class="field">
    <%= form.label :no_of_days %>
    <%= form.number_field :no_of_days, id: :plan_no_of_days %>
  </div>

  <div class="field">
    <%= form.label :no_of_printable_qrcodes %>
    <%= form.number_field :no_of_printable_qrcodes, id: :plan_no_of_printable_qrcodes %>
  </div>

  <div class="actions">
    <%= form.submit %>
  </div>
<% end %>
